Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 883842 - clvmd not working properly if multiple clients talk to clvmd (part2)
Summary: clvmd not working properly if multiple clients talk to clvmd (part2)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.3
Hardware: All
OS: Linux
medium
unspecified
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-05 12:21 UTC by Peter Rajnoha
Modified: 2016-01-19 00:13 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 730289
Environment:
Last Closed: 2016-01-19 00:13:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Peter Rajnoha 2012-12-05 12:21:20 UTC
This bz will track further clvmd fixes that should go in 6.5 and which are related to original report in bz #730289.

Comment 8 Peter Rajnoha 2015-10-16 08:51:56 UTC
Well, sorry for the lame description in this bz. It should have read:

Bug #730289 dealt with high memory consumption when there was high number of clients connected to clvmd - we've fixed this by decreasing each thread's stack size.

However, if we induce a situation in which there are still numerous clvmd clients and system is running out of resources (mainly number of open files). We concluded that the tested scenario was artificial one, not the one that normally happens in real-life production environments (also, we've never had bug reports from users about these issues).

We could possibly add some more checks for available resources and deny processing the request if the limit is reached, but I think this is not necessary for RHEL6. Moving to RHEL7 for consideration.

Comment 10 Jonathan Earl Brassow 2016-01-19 00:13:16 UTC
(In reply to Peter Rajnoha from comment #8)
> Well, sorry for the lame description in this bz. It should have read:
> 
> Bug #730289 dealt with high memory consumption when there was high number of
> clients connected to clvmd - we've fixed this by decreasing each thread's
> stack size.
> 
> However, if we induce a situation in which there are still numerous clvmd
> clients and system is running out of resources (mainly number of open
> files). We concluded that the tested scenario was artificial one, not the
> one that normally happens in real-life production environments (also, we've
> never had bug reports from users about these issues).
> 
> We could possibly add some more checks for available resources and deny
> processing the request if the limit is reached, but I think this is not
> necessary for RHEL6. Moving to RHEL7 for consideration.

We can open a new bug if there is some kind of priority around this issue someday.  Looks like a non-issue for now and I am closing this bug.


Note You need to log in before you can comment on or make changes to this bug.